using System;
using System.Collections.Generic;
using System.Linq;
using MySystem.Models.Main;
namespace MySystem
{
    /// <summary>
    /// 好哒参数
    /// </summary>
    public static class HaodaParam
    {
        public static string BoxRequestUrl = "https://openapi.iboxpay.com";
        public static string BoxAppId = "AP8322645764893728768";
        public static string BoxAppSecret = "je1TElprp3jzWETsG3FcWqtmpreEHqZS";
        public static string BoxPublicKey = "";
        public static string BrhCode = "015001";

        //应用名称：好哒-卢爱香
        // public static string BoxAppId = "AP5855193046968590336";
        // public static string BoxAppSecret = "m6V23Bss6JX2xeM12TUnls8HGuh4kpzT";

        public static void GetBoxInfo()
        {
            WebCMSEntities db = new WebCMSEntities();
            List<CustomTagSet> sets = db.CustomTagSet.Where(m => m.Title.StartsWith("盒子")).ToList();
            foreach(CustomTagSet set in sets)
            {
                RedisDbconn.Instance.Set("Agent" + set.Tags + ":" + set.QueryCount, set.Contents);
            }
            db.Dispose();
        }
    }
}